Index: /palm/trunk/SOURCE/tridia_solver_mod.f90
===================================================================
--- /palm/trunk/SOURCE/tridia_solver_mod.f90	(revision 4509)
+++ /palm/trunk/SOURCE/tridia_solver_mod.f90	(revision 4510)
@@ -1,23 +1,23 @@
 !> @file tridia_solver_mod.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
+!
 !
 ! Current revisions:
-! ------------------
+! -----------------
 ! 
 ! 
@@ -25,12 +25,15 @@
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+! 4360 2020-01-07 11:25:50Z suehring
 ! Added missing OpenMP directives
-! 
+!
 ! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
-! 
+!
 ! 3761 2019-02-25 15:31:42Z raasch
 ! OpenACC modification to prevent compiler warning about unused variable
-! 
+!
 ! 3690 2019-01-22 22:56:42Z knoop
 ! OpenACC port for SPEC
@@ -38,39 +41,43 @@
 ! 1212 2013-08-15 08:46:27Z raasch
 ! Initial revision.
-! Routines have been moved to seperate module from former file poisfft to here.
-! The tridiagonal matrix coefficients of array tri are calculated only once at
-! the beginning, i.e. routine split is called within tridia_init.
-!
-!
-! Description:
-! ------------
-!> solves the linear system of equations:
+! Routines have been moved to seperate module from former file poisfft to here. The tridiagonal
+! matrix coefficients of array tri are calculated only once at the beginning, i.e. routine split is
+! called within tridia_init.
+!
+!
+! Description:
+! ------------
+!> Solves the linear system of equations:
 !>
-!> -(4 pi^2(i^2/(dx^2*nnx^2)+j^2/(dy^2*nny^2))+
-!>   1/(dzu(k)*dzw(k))+1/(dzu(k-1)*dzw(k)))*p(i,j,k)+
+!> -(4 pi^2(i^2/(dx^2*nnx^2)+j^2/(dy^2*nny^2))+ 1/(dzu(k)*dzw(k))+1/(dzu(k-1)*dzw(k)))*p(i,j,k)+
 !> 1/(dzu(k)*dzw(k))*p(i,j,k+1)+1/(dzu(k-1)*dzw(k))*p(i,j,k-1)=d(i,j,k)
 !>
 !> by using the Thomas algorithm
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 
 #define __acc_fft_device ( defined( _OPENACC ) && ( defined ( __cuda_fft ) ) )
 
  MODULE tridia_solver
- 
-
-    USE basic_constants_and_equations_mod,                                     &
+
+
+    USE basic_constants_and_equations_mod,                                                         &
         ONLY:  pi
 
-    USE indices,                                                               &
-        ONLY:  nx, ny, nz
+    USE indices,                                                                                   &
+        ONLY:  nx,                                                                                 &
+               ny,                                                                                 &
+               nz
 
     USE kinds
 
-    USE transpose_indices,                                                     &
-        ONLY:  nxl_z, nyn_z, nxr_z, nys_z
-
-    IMPLICIT NONE
-
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  ddzuw !< 
+    USE transpose_indices,                                                                         &
+        ONLY:  nxl_z,                                                                              &
+               nyn_z,                                                                              &
+               nxr_z,                                                                              &
+               nys_z
+
+    IMPLICIT NONE
+
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  ddzuw  !<
 
     PRIVATE
